Infra APIEnvd
Execute command
Executes a command on a VM via envd
POST
/api/v1/vms/{vm_id}/envd/execExecutes a command on a VM via envd
Authorization
BearerAuth AuthorizationBearer <token>
Supabase JWT Bearer token
In: header
Path Parameters
vm_id*string
VM ID
Request Body
application/json
Command
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/vms/string/envd/exec" \ -H "Content-Type: application/json" \ -d '{}'{ "background": true, "duration": "string", "error": "string", "exit_code": 0, "process_id": "string", "stderr": "string", "stdout": "string", "timeout": true}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}{ "error": "string", "message": "string"}